Subject: Re: [PATCH 6/9] [POWERPC] prpmc2800: clean up dts properties

From: David Gibson <[email-masked]>
Date: Sun, 30 Mar 2008 21:11:28 +1100

On Sat, Mar 29, 2008 at 04:59:42PM -0500, Olof Johansson wrote:
> On Fri, Mar 28, 2008 at 04:49:00PM -0700, Dale Farnsworth wrote:
> > From: Mark A. Greer <[email-masked]>
> > 
> > Remove several unused (or software config only) properties.
> > Rename marvel node to "soc".  Technically, it's not an SOC,
> > but its organization is the same as an SOC.  Also, rename the
> > "block-index" property to "cell-index" to conform to current
> > practice.
> 
> I see this rename as purely misleading. It isn't an soc, so it shouldn't
> be named as such. Call it system-controller or something. Pretty much
> any other name is better. :-)

I agree.  system-controller, host-bridge, north-bridge, maybe, but not
soc.  With current conventions, the node name is primarily for the
benefit of human readers, so if it misleads it has failed entirely in
its purpose.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson